org.apache.hadoop.yarn.api.records.timeline

## Class TimelineEntityGroupId

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.timeline.TimelineEntityGroupId

- All Implemented Interfaces:
    Comparable<TimelineEntityGroupId>

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class TimelineEntityGroupId
      extends Object
      implements Comparable<TimelineEntityGroupId>

  `TimelineEntityGroupId` is an abstract way for timeline service users to represent “a group of related timeline data. For example, all entities that represents one data flow DAG execution can be grouped into one timeline entity group.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineEntityGroupId()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TimelineEntityGroupId other)`
    `boolean` | `equals(Object obj)`
    `static TimelineEntityGroupId` | `fromString(String timelineEntityGroupIdStr)`
    `ApplicationId` | `getApplicationId()` Get the `ApplicationId` of the `TimelineEntityGroupId`.
    `String` | `getTimelineEntityGroupId()` Get the `timelineEntityGroupId`.
    `int` | `hashCode()`
    `static TimelineEntityGroupId` | `newInstance(ApplicationId applicationId, String id)`
    `void` | `setApplicationId(ApplicationId appID)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimelineEntityGroupId

          public TimelineEntityGroupId()

  - ### Method Detail

    - #### newInstance

          public static TimelineEntityGroupId newInstance(ApplicationId applicationId,
                                                          String id)

    - #### getApplicationId

          public ApplicationId getApplicationId()

      Get the `ApplicationId` of the `TimelineEntityGroupId`.
      Returns:
        `ApplicationId` of the `TimelineEntityGroupId`

    - #### setApplicationId

          public void setApplicationId(ApplicationId appID)

    - #### getTimelineEntityGroupId

          public String getTimelineEntityGroupId()

      Get the `timelineEntityGroupId`.
      Returns:
        `timelineEntityGroupId`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(TimelineEntityGroupId other)

      Specified by:
        `compareTo` in interface `Comparable<TimelineEntityGroupId>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### fromString

          public static TimelineEntityGroupId fromString(String timelineEntityGroupIdStr)

Copyright © 2022 Apache Software Foundation. All rights reserved.